import QtQuick 2.10
import QtQuick.Window 2.10
import QtQuick.Controls 2.1
import QtGraphicalEffects 1.0

Window {
    visible: true;
    width: 450;
    height: 800;
    title: qsTr("ColorOverlay :B:roke :(");

    property bool colorItem: true;



    // The ColorWheel image
    Image {
        id: sampleImage;
        width: 300;
        height: 300;
        anchors.horizontalCenter: parent.horizontalCenter;

        source: "qrc:/color-wheel-300.gif";
        visible: !colorItem;
    }




    // Component which breaks on iOS - used to colorise the image
    ColorOverlay {
        anchors.fill: sampleImage;
        source: sampleImage;
        color: "#80800000";
        visible: colorItem;
    }



    // A button to turn colorising on and off
    Button {
        anchors {
            top: sampleImage.bottom;
            topMargin: 20;
            horizontalCenter: parent.horizontalCenter;
        }

        text: "Colorising: " + colorItem;

        onClicked: {
            colorItem = !colorItem;
        }
    }
}
